#ifndef VIEW_ADD_H
#define VIEW_ADD_H
#include <gtk/gtk.h>
#include <gtk/gtkx.h>
#include "ubl-utils.h"
#include "ubl-strings.h"
#include <locale.h>
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <libintl.h>
#include <getopt.h>
#include <libintl.h>
#include "my_device.h"

// Переменные
typedef struct {
    GtkWidget* Window;
    GtkWidget* btnSaveAddSave;
    GtkWidget* btnAddCancel;

    GtkWidget* entryAddCmd;
    GtkWidget* chbAddRead;
    GtkWidget* spinAddRead;
    GtkWidget* cbtAddRead;

    GtkWidget* chbAddWrite;
    GtkWidget* spinAddWrite;
    GtkWidget* cbtAddWrite;

    GtkWidget* chkSoftRestrictionAdd;
    GtkWidget* spiSevereRestrictionAdd;
    GtkWidget* cmSevereRestrictionAdd;
    
    GtkWidget* chkSevereRestrictionAdd;
    GtkWidget* spinSevereRestrictionAdd;
    GtkWidget* cmbSevereRestrictionAdd;

    GtkWidget* chkPaddingFLAdd;
    GtkWidget* spinPaddingFLAdd;
    GtkWidget* cmbPaddingFLAdd;

    GtkWidget* chkCPULimitAdd;
    GtkWidget* spinCPULimitAdd;
    GtkWidget* lblCPULimitAdd;

    GtkWidget* cbtAddDevice;
    GtkWidget* cbxAddQuotaObj;
    GtkWidget* cbxAddQuotaLevel2;
} add_window;
// Функции
add_window *add_setup_window(char* glade_path);
void add_event(add_window *widgets);
void add_localization(add_window *widgets);
void add_on_destroy_subwindow(GtkWidget *self);
add_window *get_widget_add();
void add_show(GtkWidget *self, char* glade_path);
void add_destroy(GtkWidget *self);
void add_set_active_widgets(GtkWidget *self, GtkWidget *entry, GtkWidget *label);
void add_init_windows();
void add_update_combo_box();
char* add_get_select_device();
char* add_get_read_device();
char* add_get_write_device();
char* add_get_soft();
char* add_get_hard();
char* add_get_limit_cpu();
char* add_get_limit_swap();
char* add_get_quota_object();

int add_get_read_device_size();
int add_get_write_device_size();
int add_get_soft_size();
int add_get_hard_size();
int add_get_limit_cpu_size();
int add_get_limit_swap_size();
int add_get_quota_object_size();

char* add_get_select_device_to_level_2();
void add_generate_cmd();
#endif